Categories

Kategorien

 
 

Tags

TYPO3 Cumulus Flash tag cloud by TYPO3-Macher - die TYPO3 Dienstleister (based on WP Cumulus Flash tag cloud by Roy Tanck) requires Flash Player 9 or better.

 
 

Twitter

Announcements on Twitter: @CK2go

 
 

Zur Zeit wird gefiltert nach: subversive
Filter zurücksetzen

21.03.2017
13:14

Eclipse/Subversive: DH keypair issues

I recently had the issue that one of the SVN servers that I regularly use refused to connect anymore. In the command line, everything wored as intended, but using Subversive within Eclipse did not work. I got a popup window, containing the following information:

java.lang.RuntimeException: Could not generate DH keypair

The problem was, that the SVN server no longer accepted the standard Diffie-Hellman algorithm for SSL connections, as it is supposedly insecure.

The solution is to disable the standard Diffie-Hellman algorithm. To do so a single line needs to be added to the java.security configuration file (for my Oracle Java installation it is found at /opt/Oracle_Java/jdk1.8.0_121/jre/lib/security/) - I just added the following line at the end of the file:

jdk.tls.disabledAlgorithms=DH

Make sure that your Eclipse installation is using the right Java installation though. This can be configured in the eclipse.ini (my one has the vm set explicitly):

-vm
/opt/Oracle_Java/jdk1.8.0_121/jre/bin/

Hope this helps someone! ;)

 
 

Zurück

 
 
Impressum